package com.izouma.nineth.event;

import com.izouma.nineth.domain.Asset;
import com.izouma.nineth.domain.Order;
import org.springframework.context.ApplicationEvent;

public class CreateAssetEvent extends ApplicationEvent {
    private final boolean success;
    private final Order   order;
    private final Asset   asset;

    public CreateAssetEvent(Object source, boolean success, Order order, Asset asset) {
        super(source);
        this.success = success;
        this.order = order;
        this.asset = asset;
    }

    public Order getOrder() {
        return order;
    }

    public Asset getAsset() {
        return asset;
    }

    public boolean isSuccess() {
        return success;
    }
}
